PETSc version 3.15.5
Fix/Edit manual page

# PFDestroy

Destroys PF context that was created with PFCreate().

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFDestroy(PF *pf)

Collective on PF

### Input Parameter

| pf | - the function context

### See Also

PFCreate(), PFSet(), PFSetType()

### Level

beginner

### Location

src/vec/pf/interface/pf.c

### Examples

src/dm/tutorials/ex4.c.html
src/snes/tutorials/ex22.c.html

### Implementations

PFDestroy_Constant in src/vec/pf/impls/constant/const.c
PFDestroy_Identity in src/vec/pf/impls/constant/const.c
PFDestroy_Matlab in src/vec/pf/impls/matlab/cmatlab.c
PFDestroy_String in src/vec/pf/impls/string/cstring.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages